public static interface JoltEndpointBuilderFactory.JoltBuilders
| Modifier and Type | Method and Description |
|---|---|
default JoltEndpointBuilderFactory.JoltEndpointBuilder |
jolt(String path)
JOLT (camel-jolt)
JSON to JSON transformation using JOLT.
|
default JoltEndpointBuilderFactory.JoltEndpointBuilder |
jolt(String componentName,
String path)
JOLT (camel-jolt)
JSON to JSON transformation using JOLT.
|
default JoltEndpointBuilderFactory.JoltEndpointBuilder jolt(String path)
jolt:resourceUri
Path parameter: resourceUri (required)
Path to the resource. You can prefix with: classpath, file, http,
ref, or bean. classpath, file and http loads the resource using these
protocols (classpath is default). ref will lookup the resource in the
registry. bean will call a method on a bean to be used as the
resource. For bean you can specify the method name after dot, eg
bean:myBean.myMethod.path - resourceUridefault JoltEndpointBuilderFactory.JoltEndpointBuilder jolt(String componentName, String path)
jolt:resourceUri
Path parameter: resourceUri (required)
Path to the resource. You can prefix with: classpath, file, http,
ref, or bean. classpath, file and http loads the resource using these
protocols (classpath is default). ref will lookup the resource in the
registry. bean will call a method on a bean to be used as the
resource. For bean you can specify the method name after dot, eg
bean:myBean.myMethod.componentName - to use a custom component name for the endpoint
instead of the default namepath - resourceUriApache Camel